[Pkg-haskell-maintainers] Bug#639415: libghc-hdbc-sqlite3-dev: should depend on libsqlite3-dev

Colin Watson cjwatson at ubuntu.com
Sat Aug 27 00:14:05 UTC 2011

Package: libghc-hdbc-sqlite3-dev
Severity: normal
Tags: patch
User: ubuntu-devel at lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch oneiric

Since HDBC-sqlite3- says "extra-libraries: sqlite3", it
should really take responsibility for the extra dependency itself rather
than requiring packages that build-depend on libghc-hdbc-sqlite3-dev
(e.g. hpodder) to also build-depend on libsqlite3-dev.
libghc-hdbc-sqlite3-prof has the right dependency already, but for some
reason libghc-hdbc-sqlite3-dev doesn't.  Patch follows.

  * Make libghc-hdbc-sqlite3-dev depend on libsqlite3-dev, since it declares
    "extra-libraries: sqlite3".

diff -u hdbc-sqlite3- hdbc-sqlite3-
--- hdbc-sqlite3-
+++ hdbc-sqlite3-
@@ -27,7 +27,7 @@
 Package: libghc-hdbc-sqlite3-dev
 Architecture: any
-Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.3)
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}


Colin Watson                                       [cjwatson at ubuntu.com]

More information about the Pkg-haskell-maintainers mailing list